KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataRegion Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataRegion

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataRegion other)
| __init__ (self, Marble.GeoDataFeature feature)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
Marble.GeoDataLod | lod (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setLatLonAltBox (self, Marble.GeoDataLatLonAltBox latLonAltBox)
| setLod (self, Marble.GeoDataLod lod)
| setParent (self, Marble.GeoDataFeature feature)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataRegion | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataFeature | feature
| ) |  |  |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

Marble.GeoDataLod lod | ( |  | self ) |

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | latLonAltBox
| ) |  |  |

setLod | ( | self, |
|  | Marble.GeoDataLod | lod
| ) |  |  |

setParent | ( | self, |
|  | Marble.GeoDataFeature | feature
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |